### 基于SpringBoot+Thymeleaf+maven实现基于Cookie的单点登录

#### 使用依赖

```xml
<dependency>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-web</artifactId>
</dependency>

<dependency>
    <groupId>org.projectlombok</groupId>
    <artifactId>lombok</artifactId>
</dependency>

<dependency>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-thymeleaf</artifactId>
</dependency>
```

#### 四个模块

- `sso-main`： 首页		
- `sso-login`:  登录  
- `sso-cart`:  购物车
- `sso-vip`:   `vip`系统

#### 接口

| 接口类型  | 接口地址                                     |
| --------- | -------------------------------------------- |
| 首页      | `http://www.codeshop.com:8082/view/index`    |
| 登录      | `http://login.codeshop.com:8081/view/login`  |
| 登出      | `http://login.codeshop.com:8081/view/logout` |
| 购物车    | `http://cart.codeshop.com:8080/view/index`   |
| `vip`系统 | `http://vip.codeshop.com:8083/view/index`    |

#### 单点登录

三个服务: 首页、购物车、`vip`系统，有一个成功登录，则所有服务均成功登录，一个退出登录，所有的服务均需重新登录