package cc.bnblogs.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CookieValue;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.client.RestTemplate;
import org.thymeleaf.util.StringUtils;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpSession;
import java.util.Map;


/**
 * @description: 网站主页
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/12 16:12
 */
@Controller
@RequestMapping("/view")
public class ViewController {

    @Autowired
    private RestTemplate restTemplate;

    private final String LOGIN_INFO_ADDR = "http://login.codeshop.com:8081/login/info?token=";
    @GetMapping("/index")
    /**
     * 跳转到index.html
     * 没有登录的时候没有cookie值，所以required要设为false
     */
    public String toIndex(@CookieValue(required = false,value = "TOKEN")Cookie cookie,
                          HttpSession httpSession) {
        if (cookie != null) {
            String token = cookie.getValue();
            if (!StringUtils.isEmpty(token)) {
                // 访问/login/info接口时带上token请求登录用户信息
                Map result = restTemplate.getForObject(LOGIN_INFO_ADDR + token,
                        Map.class);
                // 保存登录用户
                httpSession.setAttribute("loginUser",result);
            }
        }
        return "index";
    }
}
